Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## jprotein.data.dataformat.info
Class BlastSequenceInfo

    java.lang.Object
      java.util.AbstractCollection
          java.util.AbstractList
              java.util.Vector
                  jprotein.data.datatype.Sequence
                      jprotein.data.dataformat.info.BlastSequenceInfo

All Implemented Interfaces:
  java.io.Serializable, java.lang.Cloneable, java.lang.Iterable, java.util.Collection, java.util.List, java.util.RandomAccess

Direct Known Subclasses:
  BlastPairwiseInfo

    public class BlastSequenceInfo

extends Sequence

See Also:
  Serialized Form

Constructor Summary
`BlastSequenceInfo()`

Method Summary
`boolean` | `allPreliminaryChecked()`
`boolean` | `expectChecked()`
`int` | `getEndOverlap()`
`double` | `getEValue()`
`int` | `getIdentity()`
`int` | `getOverlapLength()`
`int` | `getStartOverlap()`
`boolean` | `identityChecked()`
`int` | `overlaps(BlastSequenceInfo seq)`
`boolean` | `overlapStartChecked()`
`void` | `setEndOverlap(int end)`
`void` | `setEValue(double expect)`
`void` | `setIdentity(int identity)`
`void` | `setOverlapLength(int length)`
`void` | `setStartOverlap(int start)`

Methods inherited from class jprotein.data.datatype.Sequence
`equals, getNonGappedPosition, getNonGappedSequenceLength, getResidue, getSequence, getSequenceLength, getSequenceName, isIdentical, setSequence, setSequenceName, toFasta, toString`

Methods inherited from class java.util.Vector
`add, add, addAll, addAll, addElement, capacity, clear, clone, contains, containsAll, copyInto, elementAt, elements, ensureCapacity, firstElement, get, hashCode, indexOf, indexOf, insertElementAt, isEmpty, lastElement, lastIndexOf, lastIndexOf, remove, remove, removeAll, removeAllElements, removeElement, removeElementAt, retainAll, set, setElementAt, setSize, size, subList, toArray, toArray, trimToSize`

Methods inherited from class java.util.AbstractList
`iterator, listIterator, listIterator`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Methods inherited from interface java.util.List
`iterator, listIterator, listIterator`

Constructor Detail

### BlastSequenceInfo

    public BlastSequenceInfo()

Method Detail

### setEndOverlap

    public void setEndOverlap(int end)

### getEndOverlap

    public int getEndOverlap()

### setOverlapLength

    public void setOverlapLength(int length)

### getOverlapLength

    public int getOverlapLength()

### setStartOverlap

    public void setStartOverlap(int start)

### getStartOverlap

    public int getStartOverlap()

### overlapStartChecked

    public boolean overlapStartChecked()

### setIdentity

    public void setIdentity(int identity)

### getIdentity

    public int getIdentity()

### identityChecked

    public boolean identityChecked()

### setEValue

    public void setEValue(double expect)

### getEValue

    public double getEValue()

### expectChecked

    public boolean expectChecked()

### allPreliminaryChecked

    public boolean allPreliminaryChecked()

### overlaps

    public int overlaps(BlastSequenceInfo seq)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD